import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import sys

if __name__ == "__main__":
    if len(sys.argv) != 4:
        print "USAGE:", sys.argv[0], "data_file outpath demo"
        sys.exit(1)

    data_file, outpath, demo = sys.argv[1:]
    data = pd.read_csv(data_file, index_col=0, comment='#')

    start_time = data.iloc[0].name
    data.index = data.index - start_time
    result = pd.DataFrame()

    for col in data.columns:
        result[col] = np.diff(data[col])

    result.index = data.index[:-1]

    fig = plt.figure(figsize=(20, 8))
    plt.xlim(0, len(result[demo]))
    plt.plot(result.index, result[demo])
    plt.xticks(data.index[::600], data.index[::600] / 60)

    savename = outpath + '/derive_' + demo + '.png'
    fig.savefig(savename, bbox_inches='tight')
    plt.close(fig)

    result.index = result.index + start_time
    result.to_csv(outpath + "/derive.csv")
