import argparse
import numpy as np
import pandas as pd


def parse_args():
    parser = argparse.ArgumentParser()

    parser.add_argument("input_profile")
    parser.add_argument("trigger_file")
    parser.add_argument("-s", "--sample_len", type=int,
                        help="Subsampled length")

    args = parser.parse_args()

    sample_len = 30

    if args.sample_len:
        sample_len = int(args.sample_len)

    return (args.input_profile, args.trigger_file, sample_len)


input_profile, trigger_file, sample_len = parse_args()

data = pd.read_csv(input_profile, index_col=0)
triggers = pd.read_csv(trigger_file, index_col=0)

failed_count = 0
data['trigger'] = [""] * len(data.index)

print data.index

for timestamp in triggers.index:
    comment = str(triggers.loc[timestamp].comment)
    print "Finding", int(timestamp), "=>", comment, " | ",

    for bucket in data.index:
        if bucket <= int(timestamp) < (bucket + (sample_len / 2)):
            data.loc[bucket, 'trigger'] += comment + "; "
            print "SUCCESS (%d)" % (bucket)

            break
    else:
        print "ERROR"
        failed_count += 1

data.to_csv(input_profile)

print

if failed_count == 0:
    print "All triggers successfully matched!"
else:
    print "Could not match", failed_count, "triggers!"
