import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import sys


def normalise(arr):
    totalsum = np.sum(arr)
    return arr / totalsum


if __name__ == "__main__":
    if len(sys.argv) != 4:
        print "USAGE:", sys.argv[0], "data_file outpath demo"
        sys.exit(1)

    data_file, outpath, demo = sys.argv[1:]
    data = pd.read_csv(data_file, index_col=0, comment='#')

    start_time = data.iloc[0].name
    data.index = data.index - start_time
    data = data.apply(normalise)

    fig = plt.figure(figsize=(20, 8))
    plt.xlim(0, len(data[demo]))
    plt.plot(data.index, data[demo])
    plt.xticks(data.index[::40], data.index[::40] / 60)

    savename = outpath + '/normalised_' + demo + '.png'
    fig.savefig(savename, bbox_inches='tight')
    plt.close(fig)

    data.index = data.index + start_time
    data.to_csv(outpath + "/normalised.csv")
