import os
import pandas as pd
import pylab as plt
import sys

from datetime import datetime

if __name__ == "__main__":
    if len(sys.argv) != 3:
        print "USAGE:", sys.argv[0], "data_file outpath"
        sys.exit(1)

    outpath = sys.argv[2] + "/figures"

    try:
        os.mkdir(outpath, 0755)
        print "Successfully created directory /figures"
    except OSError:
        print "Using existing directory /figures"

    data = pd.read_csv(sys.argv[1], index_col=0, comment='#')
    columns = data.columns

    print "Columns found:", len(columns)

    data.index = data.index - data.iloc[0].name

    for sensor_id in columns:
        print "Saving data for sensor ID", int(sensor_id)
        sys.stdout.flush()

        sensor = data[sensor_id]

        fig = plt.figure(figsize=(20, 3))
        plt.ylim(0, 1023)
        plt.xlim(0, len(sensor))
        plt.xticks(data.index[::600], data.index[::600] / 60)
        plt.plot(data.index, sensor)

        savename = outpath + '/figure_' + str(int(sensor_id)) + '.png'
        fig.savefig(savename, bbox_inches='tight')

        plt.close(fig)
