import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import sys


def threshold(col):
    col[col < 0] = 0
    return col

if __name__ == "__main__":
    if len(sys.argv) != 4:
        print "USAGE:", sys.argv[0], "data_file outpath demo"
        sys.exit(1)

    data_file, outpath, demo = sys.argv[1:]
    data = pd.read_csv(data_file, index_col=0, comment='#')

    start_time = data.iloc[0].name
    data.index = data.index - start_time
    data = data.apply(threshold)

    fig = plt.figure(figsize=(20, 8))
    plt.xlim(0, len(data[demo]))
    plt.plot(data.index, data[demo])
    plt.xticks(data.index[::600], data.index[::600] / 60)

    savename = outpath + '/threshold_' + demo + '.png'
    fig.savefig(savename, bbox_inches='tight')
    plt.close(fig)

    data.index = data.index + start_time
    data.to_csv(outpath + "/threshold.csv")
